IAnnotationTransformer2 (TestNG)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng
Interface IAnnotationTransformer2

All Superinterfaces:
  IAnnotationTransformer, ITestNGListener

    public interface IAnnotationTransformer2

extends IAnnotationTransformer

Use this interface instead of IAnnotationTransformer if you want to modify any TestNG annotation besides @Test.

Method Summary
`void` | `transform(IConfigurationAnnotation annotation, java.lang.Class testClass, java.lang.reflect.Constructor testConstructor, java.lang.reflect.Method testMethod)` Transform an IConfiguration annotation.
`void` | `transform(IDataProviderAnnotation annotation, java.lang.reflect.Method method)` Transform an IDataProvider annotation.
`void` | `transform(IFactoryAnnotation annotation, java.lang.reflect.Method method)` Transform an IFactory annotation.

Methods inherited from interface org.testng.IAnnotationTransformer
`transform`

Method Detail

### transform

    void transform(IConfigurationAnnotation annotation,
                   java.lang.Class testClass,
                   java.lang.reflect.Constructor testConstructor,
                   java.lang.reflect.Method testMethod)

  Transform an IConfiguration annotation. Note that only one of the three parameters testClass, testConstructor and testMethod will be non-null.

  Parameters:
    `annotation` - The annotation that was read from your test class.
    `testClass` - If the annotation was found on a class, this parameter represents this class (null otherwise).
    `testConstructor` - If the annotation was found on a constructor, this parameter represents this constructor (null otherwise).
    `testMethod` - If the annotation was found on a method, this parameter represents this method (null otherwise).

### transform

    void transform(IDataProviderAnnotation annotation,
                   java.lang.reflect.Method method)

  Transform an IDataProvider annotation.

  Parameters:
    `method` - The method annotated with the IDataProvider annotation.

### transform

    void transform(IFactoryAnnotation annotation,
                   java.lang.reflect.Method method)

  Transform an IFactory annotation.

  Parameters:
    `method` - The method annotated with the IFactory annotation.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD